|  | Home · All Classes · Modules

# QXmlStreamNamespaceDeclaration Class Reference
[QtCore module]

The QXmlStreamNamespaceDeclaration class represents a namespace declaration. More...

### Methods

- __init__ (self)
- __init__ (self, QXmlStreamNamespaceDeclaration)
- __init__ (self, QString prefix, QString namespaceUri)
- QStringRef namespaceUri (self)
- QStringRef prefix (self)

### Special Methods

- bool __eq__ (self, QXmlStreamNamespaceDeclaration other)
- bool __ne__ (self, QXmlStreamNamespaceDeclaration other)

## Detailed Description

The QXmlStreamNamespaceDeclaration class represents a namespace declaration.

An namespace declaration consists of a prefix() and a namespaceUri().

## Method Documentation

### QXmlStreamNamespaceDeclaration.__init__ (self)

Creates an empty namespace declaration.

### QXmlStreamNamespaceDeclaration.__init__ (self, QXmlStreamNamespaceDeclaration)

Creates a copy of other.

### QXmlStreamNamespaceDeclaration.__init__ (self, QString prefix, QString namespaceUri)

Creates a namespace declaration with prefix and namespaceUri.

This function was introduced in Qt 4.4.

### QStringRef QXmlStreamNamespaceDeclaration.namespaceUri (self)

Returns the namespaceUri.

### QStringRef QXmlStreamNamespaceDeclaration.prefix (self)

Returns the prefix.

### bool QXmlStreamNamespaceDeclaration.__eq__ (self, QXmlStreamNamespaceDeclaration other)

### bool QXmlStreamNamespaceDeclaration.__ne__ (self, QXmlStreamNamespaceDeclaration other)